Skip to main content
`Ctrl`+`K`

# PEPSetST

Associates a spectral transformation object to the eigensolver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetST(PEP pep,ST st)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- st - the spectral transformation object

## Note

Use `PEPGetST()` to retrieve the spectral transformation context (for example, to free it at the end of the computations).

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPGetST()`

## Level

advanced

## Location

src/pep/interface/pepbasic.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages